Subject: bug#55039: [PATCH] Use VC-relative file names in ChangeLog entries

From: Philip Kaludercic <[email-masked]>
Date: Tue, 06 Sep 2022 12:45:00 +0000

Lars Ingebrigtsen <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>> First, I think this must be customizable, because different projects
>> have different conventions.
>
> This was several months ago -- Philip, did you do any further work in
> this direction?

No I hadn't, but I can take tackle it again as this shouldn't be that
difficult.

>> Second, I think the code should DTRT if there's already a ChangeLog
>> file in the current directory or in one of its parent directories,
>> because those usually show you the project's conventions.
>
> This would be a separate issue, though?  (And I agree that it would be
> nice to have, but it doesn't sound trivial to implement.)